SPVM-IO v0.214 Perl 5 v5.16.3 darwin-thread-multi-2level

Status
Pass
From
David Cantrell (DCANTRELL)
Dist
SPVM-IO v0.214
Platform
Perl 5 v5.16.3 darwin-thread-multi-2level
Date
2024-05-21T23:46:34
ID
5b91e79c-17cc-11ef-ac52-53f94efb060e
This distribution has been tested as part of the CPAN Testers
project, supporting the Perl programming language.  See
http://wiki.cpantesters.org/ for more information or email
questions to cpan-testers-discuss@perl.org


--
Dear Yuki Kimoto,

This is a computer-generated report for SPVM-IO-0.214
on perl 5.16.3, created by CPAN-Reporter-1.2019.

Thank you for uploading your work to CPAN.  Congratulations!
All tests were successful.

Sections of this report:

    * Tester comments
    * Program output
    * Prerequisites
    * Environment and other context

------------------------------
TESTER COMMENTS
------------------------------

Additional comments from tester:

this report is from an automated smoke testing program
and was not reviewed by a human for accuracy

------------------------------
PROGRAM OUTPUT
------------------------------

Output from '/usr/bin/make test':

PERL_DL_NONLAZY=1 "/Users/cpantesting/cpantesting/perl-5.16.3/bin/perl" "-MExtUtils::Command::MM" "-MTest::Harness" "-e" "undef *Test::Harness::Switches; test_harness(0, 'blib/lib', 'blib/arch')" t/*.t
t/01-01-Test-Tcp_and_Mojolicious.t ........... skipped: This test is skipped because it needs Perl v.5.32.0+
ld: warning: support for macOS with 10.3 minimum deployment target is deprecated and will be removed in future release
ld: warning: object file (/Users/cpantesting/cpantesting/perl-5.16.3/.cpan/build/SPVM-IO-0.214-rSJVLS/t/.spvm_build/work/object/SPVM/Sys/OS.o) was built for newer macOS version (14.0) than being linked (10.3)
ld: warning: object file (/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX.sdk/usr/lib/dylib1.o) was built for newer macOS version (10.4) than being linked (10.3)
ld: warning: support for macOS with 10.3 minimum deployment target is deprecated and will be removed in future release
ld: warning: object file (/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX.sdk/usr/lib/dylib1.o) was built for newer macOS version (10.4) than being linked (10.3)
ld: warning: object file (/Users/cpantesting/cpantesting/perl-5.16.3/.cpan/build/SPVM-IO-0.214-rSJVLS/t/.spvm_build/work/object/SPVM/Sys/IO/Stat.o) was built for newer macOS version (14.0) than being linked (10.3)
ld: warning: support for macOS with 10.3 minimum deployment target is deprecated and will be removed in future release
ld: warning: object file (/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX.sdk/usr/lib/dylib1.o) was built for newer macOS version (10.4) than being linked (10.3)
ld: warning: object file (/Users/cpantesting/cpantesting/perl-5.16.3/.cpan/build/SPVM-IO-0.214-rSJVLS/t/.spvm_build/work/object/SPVM/Sys/Env.o) was built for newer macOS version (14.0) than being linked (10.3)
ld: warning: ignoring duplicate libraries: '-lc++'
ld: warning: ignoring duplicate libraries: '-lc++'
ld: warning: support for macOS with 10.3 minimum deployment target is deprecated and will be removed in future release
ld: warning: object file (/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX.sdk/usr/lib/dylib1.o) was built for newer macOS version (10.4) than being linked (10.3)
ld: warning: object file (/Users/cpantesting/cpantesting/perl-5.16.3/.cpan/build/SPVM-IO-0.214-rSJVLS/t/.spvm_build/work/object/SPVM/Sys/Poll/Constant.o) was built for newer macOS version (14.0) than being linked (10.3)
t/01-02-Test-Tcp_and_Mojolicious_and_SPVM.t .. skipped: This test is skipped because it needs Perl v.5.32.0+
t/IO-File.t .................................. ok
ld: warning: support for macOS with 10.3 minimum deployment target is deprecated and will be removed in future release
ld: warning: object file (/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX.sdk/usr/lib/dylib1.o) was built for newer macOS version (10.4) than being linked (10.3)
ld: warning: object file (/Users/cpantesting/cpantesting/perl-5.16.3/.cpan/build/SPVM-IO-0.214-rSJVLS/t/.spvm_build/work/object/SPVM/Sys/Select/Constant.o) was built for newer macOS version (14.0) than being linked (10.3)
t/IO-Select.t ................................ ok
t/IO-Socket-INET.t ........................... skipped: This test is skipped because it needs Perl v.5.32.0+
t/IO-Socket-INET6.t .......................... skipped: This test is skipped because it needs Perl v.5.32.0+
t/IO-Socket-IP.t ............................. skipped: This test is skipped because it needs Perl v.5.32.0+
t/IO-Socket-IP_IPv6.t ........................ skipped: This test is skipped because it needs Perl v.5.32.0+
t/IO.t ....................................... ok
All tests successful.
Files=9, Tests=34, 17 wallclock secs ( 0.05 usr  0.03 sys +  8.08 cusr  2.61 csys = 10.77 CPU)
Result: PASS

------------------------------
PREREQUISITES
------------------------------

Prerequisite modules loaded:

requires:

    Module              Need     Have    
    ------------------- -------- --------
    SPVM                0.989040 0.990006
    SPVM::Go            0.005    0.007002
    SPVM::Math          0.11     1.001   
    SPVM::Sys           0.510    0.514001

build_requires:

    Module              Need     Have    
    ------------------- -------- --------
    ExtUtils::MakeMaker 0        7.58    

configure_requires:

    Module              Need     Have    
    ------------------- -------- --------
    SPVM                0.989040 0.990006


------------------------------
ENVIRONMENT AND OTHER CONTEXT
------------------------------

Environment variables:

    AUTOMATED_TESTING = 1
    NONINTERACTIVE_TESTING = 1
    PATH = /Users/cpantesting/perl5/perlbrew/bin:/Users/cpantesting/perl5/perlbrew/perls/perl-5.32.0/bin:/usr/local/bin:/System/Cryptexes/App/usr/bin:/usr/bin:/bin:/usr/sbin:/sbin:/var/run/com.apple.security.cryptexd/codex.system/bootstrap/usr/local/bin:/var/run/com.apple.security.cryptexd/codex.system/bootstrap/usr/bin:/var/run/com.apple.security.cryptexd/codex.system/bootstrap/usr/appleinternal/bin:/Library/Apple/usr/bin:/Users/cpantesting/.cargo/bin
    PERL = 5.16.3
    PERL5LIB = 
    PERL5OPT = 
    PERL5_CPANPLUS_IS_RUNNING = 62410
    PERL5_CPAN_IS_RUNNING = 62410
    PERLBREW_HOME = /Users/cpantesting/.perlbrew
    PERLBREW_MANPATH = /Users/cpantesting/perl5/perlbrew/perls/perl-5.32.0/man
    PERLBREW_PATH = /Users/cpantesting/perl5/perlbrew/bin:/Users/cpantesting/perl5/perlbrew/perls/perl-5.32.0/bin
    PERLBREW_PERL = perl-5.32.0
    PERLBREW_ROOT = /Users/cpantesting/perl5/perlbrew
    PERLBREW_SHELLRC_VERSION = 0.94
    PERLBREW_VERSION = 0.94
    PERLVER = 5.16.3
    PERL_INLINE_DIRECTORY = /Users/cpantesting/.Inline-5.16.3
    PERL_MM_USE_DEFAULT = 1
    PERL_USE_UNSAFE_INC = 0
    SHELL = /bin/bash
    TERM = screen

Perl special variables (and OS-specific diagnostics, for MSWin32):

    $^X = /Users/cpantesting/cpantesting/perl-5.16.3/bin/perl
    $UID/$EUID = 503 / 503
    $GID = 20 20 12 61 703 702 701 100
    $EGID = 20 20 12 61 703 702 701 100

Perl module toolchain versions installed:

    Module              Have    
    ------------------- --------
    CPAN                1.9800  
    CPAN::Meta          2.143240
    Cwd                 3.39_02 
    ExtUtils::CBuilder  0.280236
    ExtUtils::Command   7.58    
    ExtUtils::Install   2.06    
    ExtUtils::MakeMaker 7.58    
    ExtUtils::Manifest  1.70    
    ExtUtils::ParseXS   3.16    
    File::Spec          3.39_02 
    JSON                4.10    
    JSON::PP            4.05    
    Module::Build       0.4234  
    Module::Signature   n/a     
    Parse::CPAN::Meta   1.4414  
    Test2               1.302183
    Test::Harness       3.48    
    Test::More          1.302183
    YAML                1.31    
    YAML::Syck          n/a     
    version             0.99    


--

Summary of my perl5 (revision 5 version 16 subversion 3) configuration:
   
  Platform:
    osname=darwin, osvers=19.6.0, archname=darwin-thread-multi-2level
    uname='darwin harrow.local 19.6.0 darwin kernel version 19.6.0: thu oct 29 22:56:45 pdt 2020; root:xnu-6153.141.2.2~1release_x86_64 x86_64 '
    config_args='-de -Dusethreads -Dprefix=/Users/cpantesting/cpantesting/perl-5.16.3'
    hint=recommended, useposix=true, d_sigaction=define
    useithreads=define, usemultiplicity=define
    useperlio=define, d_sfio=undef, uselargefiles=define, usesocks=undef
    use64bitint=define, use64bitall=define, uselongdouble=undef
    usemymalloc=n, bincompat5005=undef
  Compiler:
    cc='cc', ccflags ='-fno-common -DPERL_DARWIN -fno-strict-aliasing -pipe -fstack-protector -I/usr/local/include',
    optimize='-O3',
    cppflags='-fno-common -DPERL_DARWIN -fno-strict-aliasing -pipe -fstack-protector -I/usr/local/include'
    ccversion='', gccversion='Apple LLVM 12.0.0 (clang-1200.0.32.27)', gccosandvers=''
    intsize=4, longsize=8, ptrsize=8, doublesize=8, byteorder=12345678
    d_longlong=define, longlongsize=8, d_longdbl=define, longdblsize=16
    ivtype='long', ivsize=8, nvtype='double', nvsize=8, Off_t='off_t', lseeksize=8
    alignbytes=8, prototype=define
  Linker and Libraries:
    ld='env MACOSX_DEPLOYMENT_TARGET=10.3 cc', ldflags =' -fstack-protector -L/usr/local/lib'
    libpth=/usr/local/lib /usr/lib
    libs=-lgdbm -ldbm -ldl -lm -lutil -lc
    perllibs=-ldl -lm -lutil -lc
    libc=, so=dylib, useshrplib=false, libperl=libperl.a
    gnulibc_version=''
  Dynamic Linking:
    dlsrc=dl_dlopen.xs, dlext=bundle, d_dlsymun=undef, ccdlflags=' '
    cccdlflags=' ', lddlflags=' -bundle -undefined dynamic_lookup -L/usr/local/lib -fstack-protector'


Characteristics of this binary (from libperl): 
  Compile-time options: HAS_TIMES MULTIPLICITY PERLIO_LAYERS
                        PERL_DONT_CREATE_GVSV PERL_IMPLICIT_CONTEXT
                        PERL_MALLOC_WRAP PERL_PRESERVE_IVUV USE_64_BIT_ALL
                        USE_64_BIT_INT USE_ITHREADS USE_LARGE_FILES
                        USE_LOCALE USE_LOCALE_COLLATE USE_LOCALE_CTYPE
                        USE_LOCALE_NUMERIC USE_PERLIO USE_PERL_ATOF
                        USE_REENTRANT_API
  Built under darwin
  Compiled at Dec 29 2020 22:52:51
  %ENV:
    PERL="5.16.3"
    PERL5LIB=""
    PERL5OPT=""
    PERL5_CPANPLUS_IS_RUNNING="62410"
    PERL5_CPAN_IS_RUNNING="62410"
    PERLBREW_HOME="/Users/cpantesting/.perlbrew"
    PERLBREW_MANPATH="/Users/cpantesting/perl5/perlbrew/perls/perl-5.32.0/man"
    PERLBREW_PATH="/Users/cpantesting/perl5/perlbrew/bin:/Users/cpantesting/perl5/perlbrew/perls/perl-5.32.0/bin"
    PERLBREW_PERL="perl-5.32.0"
    PERLBREW_ROOT="/Users/cpantesting/perl5/perlbrew"
    PERLBREW_SHELLRC_VERSION="0.94"
    PERLBREW_VERSION="0.94"
    PERLVER="5.16.3"
    PERL_INLINE_DIRECTORY="/Users/cpantesting/.Inline-5.16.3"
    PERL_MM_USE_DEFAULT="1"
    PERL_USE_UNSAFE_INC="0"
  @INC:
    /Users/cpantesting/cpantesting/perl-5.16.3/lib/site_perl/5.16.3/darwin-thread-multi-2level
    /Users/cpantesting/cpantesting/perl-5.16.3/lib/site_perl/5.16.3
    /Users/cpantesting/cpantesting/perl-5.16.3/lib/5.16.3/darwin-thread-multi-2level
    /Users/cpantesting/cpantesting/perl-5.16.3/lib/5.16.3
    .